Skip to main content
`Ctrl`+`K`

# DMPlexLabelsLoad

Loads labels into a `DMPLEX`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexLabelsLoad(DM dm, PetscViewer viewer, PetscSF globalToLocalPointSF)

Collective

## Input Parameters

- dm - The `DM` into which the labels are loaded

- viewer - The `PetscViewer` for the saved labels

- globalToLocalPointSF - The `PetscSF` returned by `DMPlexTopologyLoad()` when loading `dm` from viewer

## Note

The `PetscSF` argument must not be `NULL` if the `DM` is distributed, otherwise an error occurs.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMLoad()`, `DMPlexTopologyLoad()`, `DMPlexCoordinatesLoad()`, `DMView()`, `PetscViewerHDF5Open()`, `PetscViewerPushFormat()`, `PetscSF`, `PetscViewer`

## Level

advanced

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex30.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages